Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025313
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-12-12 01:442014-04-03 12:34
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revision2cc210f50c05
ProjectionnoneETAnoneTarget Version3.0MP31
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025313: Arabic fonts are not exported properly using the Export To Spreadsheet button

DescriptionArabic fonts are not exported properly using the Export To Spreadsheet button, instead of the arabic characters, ???? appears in the generated csv.
Steps To Reproduce1) Go to any window in the ERP, for example Sales Invoice
2) Show the Description field in grid view
3) Create a new record, and in the Description field put some arabic text, for example: مرحبا
4) Click on the Export To Spreadsheet button in the toolbar.
Proposed SolutionUse the UTF-8 enconding in the response when generating the csv file (patch attached)
TagsNo tags attached.
Attached Filesdiff file icon issueExportArabic.diff [^] (850 bytes) 2013-12-12 01:44 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0026162 closedguillermogil CSV Text Encoding preference is not working 

-  Notes
(0062730)
hgbot (developer)
2013-12-13 15:10

Repository: erp/devel/pi
Changeset: 2cc210f50c0553afa41cae1698b4cfedfa3fbf06
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Dec 13 15:09:55 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2cc210f50c0553afa41cae1698b4cfedfa3fbf06 [^]

fixes issue 25313: Arabic fonts are not exported properly
using the Export To Spreadsheet button

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServlet.java
---
(0062851)
hudsonbot (developer)
2013-12-19 12:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test
(0063059)
AugustoMauch (developer)
2013-12-24 10:32

Code reviewed and verified in pi@2cc210f50c05
(0066122)
guillermogil (developer)
2014-04-03 12:34

In order to export the csv with an specific encoding CSV Text Encoding preference must be configured properly.

- Issue History
Date Modified Username Field Change
2013-12-12 01:44 caristu New Issue
2013-12-12 01:44 caristu Assigned To => AugustoMauch
2013-12-12 01:44 caristu File Added: issueExportArabic.diff
2013-12-12 01:44 caristu Modules => Core
2013-12-12 01:44 caristu Triggers an Emergency Pack => No
2013-12-12 01:45 caristu Issue Monitored: networkb
2013-12-13 11:42 caristu Assigned To AugustoMauch => caristu
2013-12-13 15:10 hgbot Checkin
2013-12-13 15:10 hgbot Note Added: 0062730
2013-12-13 15:10 hgbot Status new => resolved
2013-12-13 15:10 hgbot Resolution open => fixed
2013-12-13 15:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2cc210f50c0553afa41cae1698b4cfedfa3fbf06 [^]
2013-12-19 12:31 hudsonbot Checkin
2013-12-19 12:31 hudsonbot Note Added: 0062851
2013-12-24 10:32 AugustoMauch Review Assigned To => AugustoMauch
2013-12-24 10:32 AugustoMauch Note Added: 0063059
2013-12-24 10:32 AugustoMauch Status resolved => closed
2013-12-24 10:32 AugustoMauch Fixed in Version => 3.0MP31
2014-04-03 12:26 guillermogil Relationship added related to 0026162
2014-04-03 12:34 guillermogil Note Added: 0066122


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker